# pqxx::internal::reactivation_avoidance_exemption Class Reference

Scoped exemption to reactivation avoidance. More...

`#include <connection_base.hxx>`

List of all members.

## Public Member Functions
| reactivation_avoidance_exemption (connection_base &C)
| ~reactivation_avoidance_exemption ()
void | close_connection () throw ()

## Detailed Description

Scoped exemption to reactivation avoidance.

## Constructor & Destructor Documentation

pqxx::internal::reactivation_avoidance_exemption::reactivation_avoidance_exemption | ( | connection_base & | C | ) | `[explicit]`

References pqxx::internal::reactivation_avoidance_counter::clear(), and pqxx::connection_base::m_reactivation_avoidance.

pqxx::internal::reactivation_avoidance_exemption::~reactivation_avoidance_exemption | ( |  | ) |

## Member Function Documentation

void pqxx::internal::reactivation_avoidance_exemption::close_connection | ( |  | ) | throw ()

The documentation for this class was generated from the following file:

- connection_base.hxx